### CLONE THE REPOSITORY
```
    $ cd $HOME
    $ https://www.ict.inaf.it/gitlab/valerio.pastore/kafka_avro_s22_consumer.git
```
### Prerequisiti
```
    cmake3, openssl-devel librdkafka -->
    $ su
    # yum install cmake3
    # yum install openssl-devel
    # yum install librdkafka-devel
    # exit
```
###

### INSTALL
```
   $ cd kafka_avro_s22_consumer
   $ mkdir build
   $ cd build
   $ cmake3 ..
   $ make all
```

### RUN
```
Il file binario eseguibile è nella cartella build
"KafkaAvroConsumer.lnx"

./KafkaAvroConsumer.lnx --help per vedere i parametri configurabili. 
    Di default sono:
    --ip 127.0.0.1
    --port 9092
    --topic S22_TOPIC_PROCESSED
    --groupID AvroTestGroup

Terminare il programma con CTRL-C
```